<?php defined('ABSPATH') or die("No direct script allowed!!!"); ?>
<?php
$post_id = intval($post->ID);
$user_review_details = get_post_meta($post_id, 'user_review_details', true);
?>
<div class="erp-default-setting-field-wrapper" id='er-basic-layout-setting'>
    <div class="erp-setting-tab-wrapper">
        <div class="nav-tab-wrapper">     
            <a href="javascript:void(0)" id="erp-user-setting-general" class="erp-setting-tabs-trigger nav-tab erp-active-tab"><?php _e('General', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></a>
            <a href="javascript:void(0)" id="erp-user-setting-user-review" class="erp-setting-tabs-trigger nav-tab"><?php _e('User Review', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></a>
            <a href="javascript:void(0)" id="erp-user-setting-average-user-review" class="erp-setting-tabs-trigger nav-tab"><?php _e('Average User Review', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></a>
            <a href="javascript:void(0)" id="erp-user-setting-overall-average-user-review" class="erp-setting-tabs-trigger nav-tab"><?php _e('Overall Average User Review', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></a>
            <a href="javascript:void(0)" id="erp-user-setting-design" class="erp-setting-tabs-trigger nav-tab"><?php _e('Design', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></a>
        </div>
    </div>
    <div class="basic-user-review-field-general-wrap">
        <div class="erp-setting-tab-content" id="content-erp-user-setting-general">
            <div class="erp-input-field-wrap" id="erp-background-field">
                <label>
                    <?php echo __('General Header Text', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                </label>
                <div class="erp-input-field">
                    <input type="text" name="user_review_details[erp_user_review_header]" value="<?php
                    if (isset($user_review_details['erp_user_review_header']) && !empty($user_review_details['erp_user_review_header'])) {
                        echo esc_attr($user_review_details['erp_user_review_header']);
                    }
                    ?>"/>
                </div>
            </div>
            <div class="erp-input-field-wrap" id="erp-background-field">
                <label>
                    <?php _e('Go To Review Form Link Text', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                </label>
                <div class="erp-input-field">
                    <input type="text" name="user_review_details[erp_review_go_to_internal_link_text]" value="<?php
                    if (isset($user_review_details['erp_review_go_to_internal_link_text']) && !empty($user_review_details['erp_review_go_to_internal_link_text'])) {
                        echo esc_attr($user_review_details['erp_review_go_to_internal_link_text']);
                    }
                    ?>" />
                    <p class="erp-description"><?php _e('If not empty, anchor link wil be added, linking to User review form.', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></p>
                </div>
            </div>
            <div class="erp-input-field-wrap" id="erp-background-field">
                <label>
                    <?php echo __('No Review Yet Text', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                </label>
                <div class="erp-input-field">
                    <input type="text" name="user_review_details[erp_no_user_review_text]" value="<?php
                    if (isset($user_review_details['erp_no_user_review_text']) && !empty($user_review_details['erp_no_user_review_text'])) {
                        echo esc_attr($user_review_details['erp_no_user_review_text']);
                    }
                    ?>"/>
                </div>
            </div>
        </div>
        <div class="erp-setting-tab-content" id="content-erp-user-setting-user-review" style="display:none;">
            <div class="erp-review-setting-collective-wrapper-header">
                <span class="erp-header-description erp-custom-review-live"><?php echo __('Reviews submitted by user', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></span>
            </div>
            <div class="erp-input-field-wrap" id="erp-background-field">
                <label>
                    <?php echo __('Label Text', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                </label>
                <div class="erp-input-field">
                    <input type="text" name="user_review_details[erp_user_review_label]" value="<?php
                    if (isset($user_review_details['erp_user_review_label']) && !empty($user_review_details['erp_user_review_label'])) {
                        echo esc_attr($user_review_details['erp_user_review_label']);
                    }
                    ?>"/>
                </div>
            </div>
            <div class="erp-input-field-wrap" id="erp-background-field">
                <label>
                    <?php echo __('Review Rating Display Style', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                </label>
                <div class="erp-input-field">
                    <select name="user_review_details[erp_user_review_rating_display_style]" id="erp-admin_review-review-typography" class="erp-font erp-admin_review-typography">
                        <option value="star" <?php if (isset($user_review_details['erp_user_review_rating_display_style']) && $user_review_details['erp_user_review_rating_display_style'] == 'star') { ?>selected="selected"<?php } ?>><?php _e('Star', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                        <option value="bar" <?php if (isset($user_review_details['erp_user_review_rating_display_style']) && $user_review_details['erp_user_review_rating_display_style'] == 'bar') { ?>selected="selected"<?php } ?>><?php _e('Simple Bar', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                        <option value="none" <?php if (isset($user_review_details['erp_user_review_rating_display_style']) && $user_review_details['erp_user_review_rating_display_style'] == 'none') { ?>selected="selected"<?php } ?>><?php _e('Hide This Section', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                    </select>
                </div>
            </div>
            <div class="erp-input-field-wrap" id="erp-rating-type-field">
                <label>
                    <?php echo __('Review Value Display Type', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                </label>
                <div class="erp-input-field">
                    <select name="user_review_details[erp_user_ind_review_type]" id="erp-review-value-type" class="erp-review-types">
                        <option value="numbers" <?php if (isset($user_review_details['erp_user_ind_review_type']) && $user_review_details['erp_user_ind_review_type'] == 'numbers') { ?>selected="selected"<?php } ?>><?php _e('Numbers', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                        <option value="percentage" <?php if (isset($user_review_details['erp_user_ind_review_type']) && $user_review_details['erp_user_ind_review_type'] == 'percentage') { ?>selected="selected"<?php } ?>><?php _e('Percentage', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                    </select>
                </div>
            </div>
        </div>
        <div class="erp-setting-tab-content" id="content-erp-user-setting-average-user-review" style="display:none;">
            <div class="erp-review-setting-collective-wrapper-header">
                <p class="erp-header-description erp-custom-review-live"><?php echo __('Individual average review value calculated from user reviews', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></p>
            </div>
            <div class="erp-input-field-wrap" id="erp-background-field">
                <label>
                    <?php echo __('Label', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                </label>
                <div class="erp-input-field">
                    <input type="text" name="user_review_details[erp_user_review_average_label]" value="<?php
                    if (isset($user_review_details['erp_user_review_average_label']) && !empty($user_review_details['erp_user_review_average_label'])) {
                        echo esc_attr($user_review_details['erp_user_review_average_label']);
                    }
                    ?>"/>
                </div>
            </div>
            <div class="erp-input-field-wrap" id="erp-background-field">
                <label>
                    <?php echo __('Review Rating Display Style', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                </label>
                <div class="erp-input-field">
                    <select name="user_review_details[erp_average_user_review_rating_display_style]" id="erp-admin_review-review-typography" class="erp-font erp-admin_review-typography">
                        <option value="star" <?php if (isset($user_review_details['erp_average_user_review_rating_display_style']) && $user_review_details['erp_average_user_review_rating_display_style'] == 'star') { ?>selected="selected"<?php } ?>><?php _e('Star', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                        <option value="circular" <?php if (isset($user_review_details['erp_average_user_review_rating_display_style']) && $user_review_details['erp_average_user_review_rating_display_style'] == 'circular') { ?>selected="selected"<?php } ?>><?php _e('Circular', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                        <option value="none" <?php if (isset($user_review_details['erp_average_user_review_rating_display_style']) && $user_review_details['erp_average_user_review_rating_display_style'] == 'none') { ?>selected="selected"<?php } ?>><?php _e('Hide This Section', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                    </select>
                </div>
            </div>
            <div class="erp-input-field-wrap" id="erp-rating-type-field">
                <label>
                    <?php echo __('Review Value Display Type', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                </label>
                <div class="erp-input-field">
                    <select name="user_review_details[erp_user_average_review_type]" id="erp-review-value-type" class="erp-review-types">
                        <option value="percentage" <?php if (isset($user_review_details['erp_user_average_review_type']) && $user_review_details['erp_user_average_review_type'] == 'percentage') { ?>selected="selected"<?php } ?>><?php _e('Percentage', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                        <option value="numbers" <?php if (isset($user_review_details['erp_user_average_review_type']) && $user_review_details['erp_user_average_review_type'] == 'numbers') { ?>selected="selected"<?php } ?>><?php _e('Numbers', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                    </select>
                </div>
            </div>
        </div>
        <div class="erp-setting-tab-content" id="content-erp-user-setting-overall-average-user-review" style="display:none">
            <div class="erp-review-setting-collective-wrapper-header">
                <p class="erp-header-description erp-custom-review-live"><?php echo __('Overall average review value calculated from all the individual average user reviews', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></p>
            </div>
            <div class="erp-input-field-wrap" id="erp-background-field">
                <label>
                    <?php echo __('Label', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                </label>
                <div class="erp-input-field">
                    <input type="text" name="user_review_details[erp_overal_user_review_average_label]" value="<?php
                    if (isset($user_review_details['erp_overal_user_review_average_label']) && !empty($user_review_details['erp_overal_user_review_average_label'])) {
                        echo esc_attr($user_review_details['erp_overal_user_review_average_label']);
                    }
                    ?>"/>
                </div>
            </div>
            <div class="erp-input-field-wrap" id="erp-background-field">
                <label>
                    <?php _e('Review Rating Display Style', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                </label>
                <div class="erp-input-field">
                    <select name="user_review_details[erp_overal_average_user_review_rating_display_style]" id="erp-admin_review-review-typography" class="erp-font erp-admin_review-typography">
                        <option value="star" <?php if (isset($user_review_details['erp_overal_average_user_review_rating_display_style']) && $user_review_details['erp_overal_average_user_review_rating_display_style'] == 'star') { ?>selected="selected"<?php } ?>><?php _e('Star', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                        <option value="bar" <?php if (isset($user_review_details['erp_overal_average_user_review_rating_display_style']) && $user_review_details['erp_overal_average_user_review_rating_display_style'] == 'bar') { ?>selected="selected"<?php } ?>><?php _e('Simple Bar', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                        <option value="none" <?php if (isset($user_review_details['erp_overal_average_user_review_rating_display_style']) && $user_review_details['erp_overal_average_user_review_rating_display_style'] == 'none') { ?>selected="selected"<?php } ?>><?php _e('Hide This Section', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                    </select>
                </div>
            </div>
            <div class="erp-input-field-wrap" id="erp-rating-type-field">
                <label>
                    <?php echo __('Review Value Display Type', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                </label>
                <div class="erp-input-field">
                    <select name="user_review_details[erp_overall_user_average_review_type]" id="erp-review-value-type" class="erp-review-types">
                        <option value="percentage" <?php if (isset($user_review_details['erp_overall_user_average_review_type']) && $user_review_details['erp_overall_user_average_review_type'] == 'percentage') { ?>selected="selected"<?php } ?>><?php _e('Percentage', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                        <option value="numbers" <?php if (isset($user_review_details['erp_overall_user_average_review_type']) && $user_review_details['erp_overall_user_average_review_type'] == 'numbers') { ?>selected="selected"<?php } ?>><?php _e('Numbers', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                    </select>
                </div>
            </div>
            <div class="erp-input-field-wrap" id="erp-background-field">
                <label>
                    <?php echo __('Total Reviews Number Text', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                </label>
                <div class="erp-input-field">
                    <input type="text" name="user_review_details[erp_reviews_user_review_total_text]" value="<?php
                    if (isset($user_review_details['erp_reviews_user_review_total_text']) && !empty($user_review_details['erp_reviews_user_review_total_text'])) {
                        echo esc_attr($user_review_details['erp_reviews_user_review_total_text']);
                    }
                    ?>"/>
                </div>
                <p class="erp-description"><?php echo __('#average_review for overall average review value, #review_number for total number of users.', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></p> 
            </div>
        </div>
        <div class="erp-setting-tab-content" id="content-erp-user-setting-design" style="display:none;">
            <div class="erp-input-field-wrap" id="erp-background-field">
                <label>
                    <?php echo __('Color', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                </label>
                <div class="erp-input-field">
                    <input type="text"  id="erp-user-font-color-call" class="erp-basic-color-call" name="user_review_details[erp_user_review_review_font_color]" value="<?php
                    if (isset($user_review_details['erp_user_review_review_font_color']) && !empty($user_review_details['erp_user_review_review_font_color'])) {
                        echo esc_attr($user_review_details['erp_user_review_review_font_color']);
                    }
                    ?>">
                </div>
            </div>
            <div class="erp-input-field-wrap" id="erp-user_review-review-color">
                <div class="erp-input-field-title">
                    <label>
                        <?php echo __('User/Average User Review Color', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                    </label>
                </div>
                <div class="erp-input-field">
                    <input type="text" class="erp-basic-color-call" name="user_review_details[erp_user_review_review_color]" value="<?php
                    if (isset($user_review_details['erp_user_review_review_color']) && !empty($user_review_details['erp_user_review_review_color'])) {
                        echo esc_attr($user_review_details['erp_user_review_review_color']);
                    }
                    ?>">
                </div>
            </div>
            <div class="erp-input-field-wrap" id="erp-user_review-review-border-color">
                <div class="erp-input-field-title">
                    <label>
                        <?php echo __('Overall Average User Review Color', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                    </label>
                </div>
                <div class="erp-input-field">
                    <input type="text" class="erp-basic-color-call" name="user_review_details[erp_overall_average_user_review_color]" value="<?php
                    if (isset($user_review_details['erp_overall_average_user_review_color']) && !empty($user_review_details['erp_overall_average_user_review_color'])) {
                        echo esc_attr($user_review_details['erp_overall_average_user_review_color']);
                    }
                    ?>">
                </div>
            </div>
        </div>
    </div>
</div>
